| AttributeCertificate | Contents | Index
Codec.ASN1.X509.AttributeCertificateDefinitions |
Portability | non-portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Type declarations Function declarations
Description
Definitions to allow the typechecking of (BER) encodings of definitions from AttributeCertificateDefinitions {joint-iso-itu-t ds(5) module(1) attributeCertificateDefinitions(32) 5} and functions to extract information from encodings of them. See http://www.itu.int/ITU-T/asn1/database/itu-t/x/x509/2005/AttributeCertificateDefinitions.html
Synopsis
data AttributeCertificate = AttributeCertificate {
attributeCertificateInfo1 :: AttributeCertificateInfo
algorithmIdentifier2 :: AlgorithmIdentifier
encrypted :: BitString
}
data AttributeCertificateInfo = AttributeCertificateInfo {
version1 :: Version
holder1 :: Holder
issuer2 :: AttCertIssuer
signature1 :: AlgorithmIdentifier
serialNumber1 :: CertificateSerialNumber
attrCertValidityPeriod :: AttCertValidityPeriod
attributes :: [Attribute]
}
data Holder = Holder {
entityName :: (Maybe HolderGeneralNames)
}
data HolderGeneralNames = HolderGeneralNames GeneralNames
data AttCertIssuer = AttCertIssuer {
issuerName :: (Maybe GeneralNames)
baseCertificateID :: (Maybe IssuerSerial)
}
data IssuerSerial = IssuerSerial {
issuer1 :: GeneralNames
serial :: CertificateSerialNumber
issuerID :: (Maybe UniqueIdentifier)
}
data Attribute = Attribute {
attributeType :: OID
attributeValues :: (SetOf AttributeValue)
}
data AttributeValue = AVPS PrintableString
data AttCertValidityPeriod = AttCertValidityPeriod {
notBeforeTime :: GeneralizedTime
notAfterTime :: GeneralizedTime
}
data GeneralizedTime = GeneralizedTime VisibleString
attributeCertificate :: TypeDefn
attCertIssuer :: TypeDefn
attribute :: TypeDefn
Type declarations
data AttributeCertificate
Constructors
AttributeCertificate |
attributeCertificateInfo1 :: AttributeCertificateInfo |
algorithmIdentifier2 :: AlgorithmIdentifier |
encrypted :: BitString |
Instances
Encode AttributeCertificate
Eq AttributeCertificate
PP AttributeCertificate
Show AttributeCertificate
data AttributeCertificateInfo
Constructors
AttributeCertificateInfo |
version1 :: Version |
holder1 :: Holder |
issuer2 :: AttCertIssuer |
signature1 :: AlgorithmIdentifier |
serialNumber1 :: CertificateSerialNumber |
attrCertValidityPeriod :: AttCertValidityPeriod |
attributes :: [Attribute] |
Instances
Encode AttributeCertificateInfo
Eq AttributeCertificateInfo
PP AttributeCertificateInfo
Show AttributeCertificateInfo
data Holder
Constructors
Holder |
entityName :: (Maybe HolderGeneralNames) |
Instances
Encode Holder
Eq Holder
PP Holder
Show Holder
data HolderGeneralNames
Constructors
HolderGeneralNames GeneralNames |
Instances
Encode HolderGeneralNames
Eq HolderGeneralNames
PP HolderGeneralNames
Show HolderGeneralNames
data AttCertIssuer
Constructors
AttCertIssuer |
issuerName :: (Maybe GeneralNames) |
baseCertificateID :: (Maybe IssuerSerial) |
Instances
Encode AttCertIssuer
Eq AttCertIssuer
PP AttCertIssuer
Show AttCertIssuer
data IssuerSerial
Constructors
IssuerSerial |
issuer1 :: GeneralNames |
serial :: CertificateSerialNumber |
issuerID :: (Maybe UniqueIdentifier) |
Instances
Encode IssuerSerial
Eq IssuerSerial
PP IssuerSerial
Show IssuerSerial
data Attribute
Constructors
Attribute |
attributeType :: OID |
attributeValues :: (SetOf AttributeValue) |
Instances
Encode Attribute
Eq Attribute
PP Attribute
Show Attribute
data AttributeValue
Constructors
AVPS PrintableString |
Instances
Encode AttributeValue
Eq AttributeValue
PP AttributeValue
Show AttributeValue
data AttCertValidityPeriod
Constructors
AttCertValidityPeriod |
notBeforeTime :: GeneralizedTime |
notAfterTime :: GeneralizedTime |
Instances
Encode AttCertValidityPeriod
Eq AttCertValidityPeriod
PP AttCertValidityPeriod
Show AttCertValidityPeriod
data GeneralizedTime
Constructors
GeneralizedTime VisibleString |
Instances
Encode GeneralizedTime
Eq GeneralizedTime
PP GeneralizedTime
Show GeneralizedTime
Function declarations
attributeCertificate :: TypeDefn
attCertIssuer :: TypeDefn
attribute :: TypeDefn
Produced by Haddock version 0.8